diff --git a/irc/scrollz/Makefile b/irc/scrollz/Makefile
index 21ca6024d365..95b99880f9de 100644
--- a/irc/scrollz/Makefile
+++ b/irc/scrollz/Makefile
@@ -1,7 +1,7 @@
 # Created by: Will Andrews <andrews@technologist.com>
 
 PORTNAME=	ScrollZ
-PORTVERSION=	2.3
+PORTVERSION=	2.3.1
 DISTVERSIONPREFIX=	${PORTNAME}-
 PORTREVISION=	1
 CATEGORIES=	irc
@@ -14,6 +14,7 @@ LICENSE_FILE=	${WRKSRC}/COPYRIGHT
 
 USES=		gmake iconv ncurses
 USE_GITHUB=	yes
+USE_GCC=	yes
 GNU_CONFIGURE=	yes
 
 DATADIR=	${PREFIX}/share/${PORTNAME:tl}
diff --git a/irc/scrollz/distinfo b/irc/scrollz/distinfo
index 182e20fbfb7e..1b672e82b5c8 100644
--- a/irc/scrollz/distinfo
+++ b/irc/scrollz/distinfo
@@ -1,2 +1,3 @@
-SHA256 (ScrollZ-ScrollZ-ScrollZ-2.3_GH0.tar.gz) = 22535bcc54ad752107ab181775d90d9cf1b37648f500d627f428388a9d3710e6
-SIZE (ScrollZ-ScrollZ-ScrollZ-2.3_GH0.tar.gz) = 981707
+TIMESTAMP = 1647815667
+SHA256 (ScrollZ-ScrollZ-ScrollZ-2.3.1_GH0.tar.gz) = 4ff4570020174b2ee9a859767c349e498e5ae68e2a76f11d69c08f12979b0452
+SIZE (ScrollZ-ScrollZ-ScrollZ-2.3.1_GH0.tar.gz) = 983428
diff --git a/irc/scrollz/files/patch-a8b05aab b/irc/scrollz/files/patch-a8b05aab
deleted file mode 100644
index 03ec02284f94..000000000000
--- a/irc/scrollz/files/patch-a8b05aab
+++ /dev/null
@@ -1,16 +0,0 @@
-diff --git a/include/ircterm.h b/include/ircterm.h
-index 1fdbfeb..1da3fab 100644
---- include/ircterm.h
-+++ include/ircterm.h
-@@ -89,9 +89,9 @@ extern	char	*CM,
- extern	int	SG;
- /**************************** PATCHED by Flier ******************************/
- #ifdef WANTANSI
--char            *SETAF,
-+extern char     *SETAF,
-                 *SETAB;
--int             NUMCOLORS;
-+extern int      NUMCOLORS;
- #endif /* WANTANSI */
- /****************************************************************************/
- 
